commit c5325bb334f4513fb1932caac043a0d25c6588c2
parent 9f9b17f5778d43cbf6f5a72060ab097ffeaacd36
Author: Benjamin Piaud <benjamin.piaud@meso-star.com>
Date: Wed, 9 Dec 2020 12:06:18 +0100
ajout de l'exemple rendu sur porous
Diffstat:
8 files changed, 86 insertions(+), 0 deletions(-)
diff --git a/porous/B_T0.stl b/porous/B_T0.stl
@@ -0,0 +1 @@
+#$# git-wad 5e17c5c177c5b4a50397afdd029714071ca74c87de878157276e826c023b469d 566
+\ No newline at end of file
diff --git a/porous/B_T1.stl b/porous/B_T1.stl
@@ -0,0 +1 @@
+#$# git-wad f93e0a715552ebcd44d98206fa0d8ecaba9dfc408c1ea2cff108b020e41534cd 566
+\ No newline at end of file
diff --git a/porous/B_lateral.stl b/porous/B_lateral.stl
@@ -0,0 +1 @@
+#$# git-wad 72e7be1250e2a55633e07ad931aabe820f0272c448e713593dd6e49c1e0d613c 3417462
+\ No newline at end of file
diff --git a/porous/S_porous.stl b/porous/S_porous.stl
@@ -0,0 +1 @@
+#$# git-wad b0c87027c4212e5fd964c519ccb66e76baedd633b7c15ca7d6ec0ad1d46a3080 3418515
+\ No newline at end of file
diff --git a/porous/plate.stl b/porous/plate.stl
@@ -0,0 +1 @@
+#$# git-wad 77a6d401bfee23f86e8e3bdbfb52f3354ba55a109b7a065c93422cc1d9017904 3052
+\ No newline at end of file
diff --git a/porous/porous.txt b/porous/porous.txt
@@ -0,0 +1,7 @@
+SOLID FOAM 237 2700 890 0.0002 800 UNKNOWN 0 FRONT S_porous.stl
+SOLID PLATE 1 2700 890 AUTO 725 725 0 FRONT plate.stl
+
+H_BOUNDARY_FOR_SOLID LAT 0.9 0.5 0 300 B_lateral.stl
+T_BOUNDARY_FOR_SOLID T0 750 B_T0.stl
+T_BOUNDARY_FOR_SOLID T1 850 B_T1.stl
+H_BOUNDARY_FOR_SOLID HPLATE 0.1 0.8 0 300 plate.stl
diff --git a/porous/run_IR_rendering.sh b/porous/run_IR_rendering.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+# Copyright (C) 2020 |Meso|Star>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+### USER PARAMETERS SECTION
+SPP=32 #samples per pixel
+WIDTH=320
+HEIGHT=320
+POSITION="0.05,0.01,0.005" #camera position
+TARGET="0,0,0" #position targeted
+FILE=IR_rendering
+### END USER PARAMETERS SECTION
+
+
+#erase FILE result if exists
+rm -f ${FILE}.ht ${FILE}.ppm
+
+#check stardis installation
+if !(command -v stardis > /dev/null)
+then
+ echo ">>> stardis command not found !"
+ echo ">>> To register stardis in the current shell you must type :"
+ echo ">>> source ~/Stardis-XXX-GNU-Linux64/etc/stardis.profile"
+ echo ">>> where ~/Stardis-XXX-GNU-Linux64 is the stardis directory installation"
+ exit 1
+fi
+
+#launch Stardis
+stardis -V 3 -a 700 -r 800 -M porous.txt -R spp=${SPP}:img=${WIDTH}x${HEIGHT}:fov=30:pos=${POSITION}:tgt=${TARGET}:up=0,0,1 > ${FILE}.ht
+
+
+#convert ht file in ppm file
+htpp -f -o ${FILE}.ppm -v -m default ${FILE}.ht
+echo ">>> You can now watch the IR rendering by opening the file ${FILE}.ppm"
diff --git a/readme.md b/readme.md
@@ -168,6 +168,28 @@ the model described in the file **model_multiple.txt**. This is an assembly of
You will notice the computation time will not be 50 times greater. It will be of
the same order.
+# The porous medium
+
+With the last example, we show an original feature: the infrared rendering.
+Indeed stardis is able to render a scene in infrared without the knwoledge of
+the temperature field. The radiative paths beginning from the camera will
+propagate alternately in conductive, convective and radiative path until
+reaching a boundary condition (or initial condition in non-stationnary case).
+
+The script **run_IR_rendering.sh** is an example to launch stardis in rendering
+mode. The scene is an idealized porous medium above a reflective plate. In the
+"USER PARAMETER SECTION", you can change some parameters like the size of image
+and the number of samples per pixel. For each pixel of the image, the luminance
+is computed by Monte-Carlo and the number of realisations is this number of
+sample per pixel. So to compute an high-defition rendering without statistical
+noise, this can take a long time (many hours). The default parameters in the
+script are such the computationnal time is about a dozen minutes on a correct
+desktop computer.
+
+You can refer to the stardis man page for more information about the rendering
+mode like the point of view parameters.
+
+
# Download